<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" />
    <!-- data table -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.4/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.13.4/js/dataTables.bootstrap4.min.js"></script>

    <!-- Các file css và js tự định nghĩa thêm -->
    <link rel="stylesheet" href="./style.css">
    <script src="./script.js"></script>

    <title>AdminCourse365</title>
</head>

<body>
    <div class="container">
        <div class="div-titile text-center jumbotron">
            <h1>DANH SÁCH KHÓA HỌC</h1>
        </div>
        <div class="div-add-course mb-3">
            <button class="btn btn-success" id="btn-add-course">Add Course</button>
        </div>
        <table class="table table-lg table-bordered table-striped table-hover table-success" id="courses-table">
            <thead>
                <tr>
                    <td>STT</td>
                    <td>Mã khóa học</td>
                    <td>Tên khóa học</td>
                    <td>Trình độ khóa học</td>
                    <td>Ảnh nền khóa học</td>
                    <td>Popular</td>
                    <td>Trending</td>
                    <td>Action</td>

                </tr>
            </thead>
        </table>
    </div>
    <!-- modal -->
    <!-- modal add course -->
    <div class="modal fade lg modal-add-course" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Add Course</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">

                    <div class="col-lg-12 ">
                        <div class="row">
                            <div class="col-lg-6 d-flex justify-content-between form-group">
                                <label for="inp-course-code">Mã khóa học</label>
                                <input type="text" id="inp-course-code">
                            </div>
                            <div class="col-lg-6 d-flex justify-content-between form-group">
                                <label for="inp-course-name">Tên khóa học</label>
                                <input type="text" id="inp-course-name">
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-12 ">
                        <div class="row ">
                            <div class="col-lg-6 d-flex justify-content-between form-group">
                                <label for="inp-course-price">Giá khóa học</label>
                                <input type="text" id="inp-course-price">
                            </div>
                            <div class="col-lg-6 d-flex justify-content-between form-group">
                                <span id="span-course-discount-price">Giá giảm: $0</span>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-12 ">
                        <div class="row">
                            <div class="col-lg-6 d-flex justify-content-between form-group">
                                <label for="inp-course-duration">Độ dài khóa học</label>
                                <input type="text" id="inp-course-duration">
                            </div>
                            <div class="col-lg-6 d-flex justify-content-between form-group">
                                <label for="select-course-level">Trình độ khóa học</label>
                                <select name="" id="select-course-level">
                                    <option value="0">Choose Course Level</option>
                                    <option value="Beginner">Beginner</option>
                                    <option value="Intermediate">Intermediate</option>
                                    <option value="Advanced">Advanced</option>
                                </select>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-12 ">
                        <div class="d-flex justify-content-between form-group">
                            <label for="inp-course-photo">Ảnh khóa học</label>
                            <input type="text" id="inp-course-photo" class="w-75">
                        </div>
                    </div>

                    <div class="col-lg-12 ">
                        <div class="row">
                            <div class="col-lg-6 d-flex justify-content-between form-group">
                                <label for="inp-teacher-name">Tên giáo viên</label>
                                <input type="text" id="inp-teacher-name">
                            </div>
                            <div class="col-lg-6 d-flex justify-content-between form-group">
                                <label for="inp-teacher-photo">Ảnh giáo viên</label>
                                <input type="text" id="inp-teacher-photo">
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-12 ">
                        <div class="row">
                            <div class="col-lg-6 d-flex justify-content-between form-group">
                                <label for="select-is-popular">Is popular</label>
                                <select name="" id="select-is-popular" class="w-50">
                                    <option value="0">Is Popular</option>
                                    <option value="true">Yes</option>
                                    <option value="false">No</option>
                                </select>
                            </div>
                            <div class="col-lg-6 d-flex justify-content-between form-group">
                                <label for="select-is-trending">Is trending</label>
                                <select name="" id="select-is-trending" class="w-50">
                                    <option value="0">Is Trending</option>
                                    <option value="true">Yes</option>
                                    <option value="false">No</option>
                                </select>
                            </div>
                        </div>
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-success" id="btn-confirm-add-course">Add course</button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

     <!-- modal edit course -->
     <div class="modal fade lg modal-edit-course" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Edit Course</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">

                    <div class="col-lg-12 ">
                        <div class="row">
                            <div class="col-lg-6 d-flex justify-content-between form-group">
                                <label for="inp-edit-course-code">Mã khóa học</label>
                                <input type="text" id="inp-edit-course-code">
                            </div>
                            <div class="col-lg-6 d-flex justify-content-between form-group">
                                <label for="inp-edit-course-name">Tên khóa học</label>
                                <input type="text" id="inp-edit-course-name">
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-12 ">
                        <div class="row ">
                            <div class="col-lg-6 d-flex justify-content-between form-group">
                                <label for="inp-edit-course-price">Giá khóa học</label>
                                <input type="text" id="inp-edit-course-price">
                            </div>
                            <div class="col-lg-6 d-flex justify-content-between form-group">
                                <span id="span-edit-course-discount-price">Giá giảm: $0</span>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-12 ">
                        <div class="row">
                            <div class="col-lg-6 d-flex justify-content-between form-group">
                                <label for="inp-edit-course-duration">Độ dài khóa học</label>
                                <input type="text" id="inp-edit-course-duration">
                            </div>
                            <div class="col-lg-6 d-flex justify-content-between form-group">
                                <label for="select-edit-course-level">Trình độ khóa học</label>
                                <select name="" id="select-edit-course-level">
                                    <option value="0">Choose Course Level</option>
                                    <option value="Beginner">Beginner</option>
                                    <option value="Intermediate">Intermediate</option>
                                    <option value="Advanced">Advanced</option>
                                </select>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-12 ">
                        <div class="d-flex justify-content-between form-group">
                            <label for="inp-edit-course-photo">Ảnh khóa học</label>
                            <input type="text" id="inp-edit-course-photo" class="w-75">
                        </div>
                    </div>

                    <div class="col-lg-12 ">
                        <div class="row">
                            <div class="col-lg-6 d-flex justify-content-between form-group">
                                <label for="inp-edit-teacher-name">Tên giáo viên</label>
                                <input type="text" id="inp-edit-teacher-name">
                            </div>
                            <div class="col-lg-6 d-flex justify-content-between form-group">
                                <label for="inp-edit-teacher-photo">Ảnh giáo viên</label>
                                <input type="text" id="inp-edit-teacher-photo">
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-12 ">
                        <div class="row">
                            <div class="col-lg-6 d-flex justify-content-between form-group">
                                <label for="select-edit-is-popular">Is popular</label>
                                <select name="" id="select-edit-is-popular" class="w-50">
                                    <option value="0">Is Popular</option>
                                    <option value="true">Yes</option>
                                    <option value="false">No</option>
                                </select>
                            </div>
                            <div class="col-lg-6 d-flex justify-content-between form-group">
                                <label for="select-edit-is-trending">Is trending</label>
                                <select name="" id="select-edit-is-trending" class="w-50">
                                    <option value="0">Is Trending</option>
                                    <option value="true">Yes</option>
                                    <option value="false">No</option>
                                </select>
                            </div>
                        </div>
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-success" id="btn-confirm-edit-course">Edit course</button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
    <!-- Delete confirm modal -->
  <div>
    <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="h5-modal-title">Course Delete Confirmation</h5>
            <button class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
            <label>Bạn có chắc chắn muốn xóa khóa học này không?</label>
          </div>
          <div class="modal-footer">
            <button class="btn btn-danger" id="btn-confirm-delete-course">Confirm</button>
            <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</body>

</html>